/**
 * @file PswGen/GUI/version.h
 * @brief Version information for eVaf modules
 * @author Enar Vaikene
 *
 * Copyright (c) 2011-2019 Enar Vaikene
 *
 * This file is part of the eVaf C++ cross-platform application development framework.
 *
 * This file can be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file. Please review the
 * the following information to ensure the GNU General Public License version
 * 3.0 requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 *
 * Alternatively, this file may be used in accordance with the Commercial License
 * Agreement provided with the Software.
 */

#ifndef __PSWGEN_GUI_VERSION_H
#  define __PSWGEN_GUI_VERSION_H

#include <version_rc.h>

/**
 * Module/library version number in the form major,minor,release,build
 */
#define VER_FILE_VERSION                0,2,1,8

/**
 * Module/library version number in the string format (shall end with \0)
 */
#define VER_FILE_VERSION_STR            "0.2.1.8\0"

/**
 * Module/library name (shall end with \0)
 */
#define VER_MODULE_NAME_STR             "PswGui\0"

/**
 * Module type (see version_rc.h for all the types)
 */
#define VER_MODULE_TYPE                 MT_GENERIC

/**
 * Module type in the string format (see version_rc for all the types)
 */
#define VER_MODULE_TYPE_STR             MT_GENERIC

/**
 * Original file name for windows (shall end with \0)
 */
#define VER_ORIGINAL_FILE_NAME_STR      "PswGui.dll\0"

/**
 * Description of the module/library (shall end with \0)
 */
#define VER_FILE_DESCRIPTION_STR         "User interface for the PswGen application.\0"

#endif // version.h
