/**
 * @file main/CLI/exithandler.h
 * @brief Exit handlers for the eVaf main executable
 * @author Enar Vaikene
 *
 * Copyright (c) 2011 Enar Vaikene
 *
 * This file is part of the eVaf C++ cross-platform application development framework.
 *
 * This file can be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file. Please review the
 * the following information to ensure the GNU General Public License version
 * 3.0 requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 *
 * Alternatively, this file may be used in accordance with the Commercial License
 * Agreement provided with the Software.
 */

#ifndef __CLI_EXITHANDLER_H
#  define __CLI_EXITHANDLER_H

namespace eVaf {
namespace CLI {
namespace Internal {

/**
 * Installs an exit handler for the selected platform.
 *
 * Exit handler quits or restarts the application when a corresponding signal
 * is received.
 */
bool installExitHandler();

} // namespace eVaf::CLI::Internal
} // namespace eVaf::CLI
} // namespace eVaf

#endif // exithandler.h
