/**
 * @file main/GUI/winconsole.cpp
 * @brief Functions to redirect stdin, stdout and stderr to a separate console on Windows
 * @author Enar Vaikene
 *
 * Copyright (c) 2011 Enar Vaikene
 *
 * This file is part of the eVaf C++ cross-platform application development framework.
 *
 * This file can be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file. Please review the
 * the following information to ensure the GNU General Public License version
 * 3.0 requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 *
 * Alternatively, this file may be used in accordance with the Commercial License
 * Agreement provided with the Software.
 */

#include "winconsole.h"

#define _CRT_SECURE_NO_DEPRECATE

#include <windows.h>
#include <stdio.h>

void eVaf::GUI::Internal::enableWinConsole()
{
    AllocConsole();
    freopen("conin$", "r", stdin);
    freopen("conout$", "w", stdout);
    freopen("conout$", "w", stderr);
}

#undef _CRT_SECURE_NO_DEPRECATE
