/**
 * @file main/GUI/winconsole.h
 * @brief Functions to redirect stdin, stdout and stderr to a separate console on Windows
 * @author Enar Vaikene
 *
 * Copyright (c) 2011 Enar Vaikene
 *
 * This file is part of the eVaf C++ cross-platform application development framework.
 *
 * This file can be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file. Please review the
 * the following information to ensure the GNU General Public License version
 * 3.0 requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 *
 * Alternatively, this file may be used in accordance with the Commercial License
 * Agreement provided with the Software.
 */

#ifndef __GUI_WINCONSOLE_H
#  define __GUI_WINCONSOLE_H

namespace eVaf {
namespace GUI {
namespace Internal {

/**
 * Enables the console window on Windows
 */
void enableWinConsole();

} // namespace eVaf::GUI::Internal
} // namespace eVaf::GUI
} // namespace eVaf

#endif
