/**
 * @file plugins/Test/test.cpp
 * @brief eVaf test plugin
  * @author Enar Vaikene
*
 * Copyright (c) 2011 Enar Vaikene
 *
 * This file is part of the eVaf C++ cross-platform application development framework.
 *
 * This file can be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file. Please review the
 * the following information to ensure the GNU General Public License version
 * 3.0 requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 *
 * Alternatively, this file may be used in accordance with the Commercial License
 * Agreement provided with the Software.
 */

#include "test.h"
#include "version.h"

#include <Common/iLogger>

#include <QtCore>

using namespace eVaf;
using namespace eVaf::Test::Internal;


//-------------------------------------------------------------------

TestPlugin::TestPlugin()
    : Plugins::iPlugin()
    , mReady(false)
{
    setObjectName(QString("%1-TestPlugin").arg(VER_MODULE_NAME_STR));

    EVAF_INFO("%s created", qPrintable(objectName()));
}

TestPlugin::~TestPlugin()
{
    EVAF_INFO("%s destroyed", qPrintable(objectName()));
}

bool TestPlugin::init(QString const & args)
{
    mReady = true;

    EVAF_INFO("%s initialized", qPrintable(objectName()));

    return true;
}

void TestPlugin::done()
{
    mReady = false;

    EVAF_INFO("%s finalized", qPrintable(objectName()));
}
