/**
 * @file plugins/Test/test.h
 * @brief eVaf test plugin
  * @author Enar Vaikene
*
 * Copyright (c) 2011 Enar Vaikene
 *
 * This file is part of the eVaf C++ cross-platform application development framework.
 *
 * This file can be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file. Please review the
 * the following information to ensure the GNU General Public License version
 * 3.0 requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 *
 * Alternatively, this file may be used in accordance with the Commercial License
 * Agreement provided with the Software.
 */

#ifndef __TEST_TEST_H
#define __TEST_TEST_H

#include <Plugins/iPlugin>

#include <QObject>
#include <QString>

namespace eVaf {

namespace Test {
namespace Internal {

/**
 * Test module
 */
class TestPlugin : public Plugins::iPlugin
{
    Q_OBJECT
    Q_INTERFACES(eVaf::Plugins::iPlugin)

public:

    TestPlugin();

    virtual ~TestPlugin();

    virtual bool init(QString const & args);

    virtual void done();

    virtual bool isReady() const { return mReady; }


private: // Members

    bool mReady;

};

} // namespace eVaf::Test::Internal
} // namespace eVaf::Test
} // namespace eVaf

#endif // test.h
